org.apache.flume.sink.irc

## Class IRCSink.IRCConnectionListener

- java.lang.Object
- - org.apache.flume.sink.irc.IRCSink.IRCConnectionListener

- All Implemented Interfaces:
    EventListener, org.schwering.irc.lib.IRCConstants, org.schwering.irc.lib.IRCEventListener
  Enclosing class:
    IRCSink

      public static class IRCSink.IRCConnectionListener
      extends Object
      implements org.schwering.irc.lib.IRCEventListener

- - ### Field Summary

    - ### Fields inherited from interface org.schwering.irc.lib.IRCConstants

      `ACTION_INDICATOR, BOLD_INDICATOR, COLOR_END_INDICATOR, COLOR_INDICATOR, COLOR_REVERSE_INDICATOR, ERR_ALREADYREGISTRED, ERR_BADCHANMASK, ERR_BADCHANNELKEY, ERR_BANNEDFROMCHAN, ERR_CANNOTSENDTOCHAN, ERR_CANTKILLSERVER, ERR_CHANNELISFULL, ERR_CHANOPRIVSNEEDED, ERR_ERRONEUSNICKNAME, ERR_FILEERROR, ERR_INVITEONLYCHAN, ERR_KEYSET, ERR_NEEDMOREPARAMS, ERR_NICKCOLLISION, ERR_NICKNAMEINUSE, ERR_NOADMININFO, ERR_NOLOGIN, ERR_NOMOTD, ERR_NONICKNAMEGIVEN, ERR_NOOPERHOST, ERR_NOORIGIN, ERR_NOPERMFORHOST, ERR_NOPRIVILEGES, ERR_NORECIPIENT, ERR_NOSERVICEHOST, ERR_NOSUCHCHANNEL, ERR_NOSUCHNICK, ERR_NOSUCHSERVER, ERR_NOTEXTTOSEND, ERR_NOTONCHANNEL, ERR_NOTOPLEVEL, ERR_NOTREGISTERED, ERR_PASSWDMISMATCH, ERR_SUMMONDISABLED, ERR_TOOMANYCHANNELS, ERR_TOOMANYTARGETS, ERR_UMODEUNKNOWNFLAG, ERR_UNKNOWNCOMMAND, ERR_UNKNOWNMODE, ERR_USERNOTINCHANNEL, ERR_USERONCHANNEL, ERR_USERSDISABLED, ERR_USERSDONTMATCH, ERR_WASNOSUCHNICK, ERR_WILDTOPLEVEL, ERR_YOUREBANNEDCREEP, ERR_YOUWILLBEBANNED, RPL_ADMINEMAIL, RPL_ADMINLOC1, RPL_ADMINLOC2, RPL_ADMINME, RPL_AUTHNAME, RPL_AWAY, RPL_BANLIST, RPL_CHANNELMODEIS, RPL_CLOSEEND, RPL_CLOSING, RPL_CREATED, RPL_ENDOFBANLIST, RPL_ENDOFINFO, RPL_ENDOFLINKS, RPL_ENDOFMOTD, RPL_ENDOFNAMES, RPL_ENDOFSERVICES, RPL_ENDOFSTATS, RPL_ENDOFUSERS, RPL_ENDOFWHO, RPL_ENDOFWHOIS, RPL_ENDOFWHOWAS, RPL_INFO, RPL_INFOSTART, RPL_INVITING, RPL_ISON, RPL_ISUPPORT, RPL_KILLDONE, RPL_LINKS, RPL_LIST, RPL_LISTEND, RPL_LISTSTART, RPL_LUSERCHANNELS, RPL_LUSERCLIENT, RPL_LUSERME, RPL_LUSEROP, RPL_LUSERUNKNOWN, RPL_MOTD, RPL_MOTDSTART, RPL_MYINFO, RPL_MYPORTIS, RPL_NAMREPLY, RPL_NONE, RPL_NOTOPIC, RPL_NOUSERS, RPL_NOWAWAY, RPL_REHASHING, RPL_SERVICE, RPL_SERVICEINFO, RPL_SERVLIST, RPL_SERVLISTEND, RPL_STATSCLINE, RPL_STATSCOMMANDS, RPL_STATSHLINE, RPL_STATSILINE, RPL_STATSKLINE, RPL_STATSLINKINFO, RPL_STATSLLINE, RPL_STATSNLINE, RPL_STATSOLINE, RPL_STATSQLINE, RPL_STATSUPTIME, RPL_STATSYLINE, RPL_SUMMONING, RPL_TIME, RPL_TOPIC, RPL_TOPICINFO, RPL_TRACECLASS, RPL_TRACECONNECTING, RPL_TRACEHANDSHAKE, RPL_TRACELINK, RPL_TRACELOG, RPL_TRACENEWTYPE, RPL_TRACEOPERATOR, RPL_TRACESERVER, RPL_TRACEUNKNOWN, RPL_TRACEUSER, RPL_UMODEIS, RPL_UNAWAY, RPL_USERHOST, RPL_USERS, RPL_USERSSTART, RPL_VERSION, RPL_WELCOME, RPL_WHOISCHANNELS, RPL_WHOISCHANOP, RPL_WHOISIDLE, RPL_WHOISOPERATOR, RPL_WHOISSERVER, RPL_WHOISUSER, RPL_WHOREPLY, RPL_WHOWASUSER, RPL_YOUREOPER, RPL_YOURHOST, UNDERLINE_INDICATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IRCSink.IRCConnectionListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onDisconnected()`
    `void` | `onError(int num, String msg)`
    `void` | `onError(String msg)`
    `void` | `onInvite(String chan, org.schwering.irc.lib.IRCUser u, String nickPass)`
    `void` | `onJoin(String chan, org.schwering.irc.lib.IRCUser u)`
    `void` | `onKick(String chan, org.schwering.irc.lib.IRCUser u, String nickPass, String msg)`
    `void` | `onMode(org.schwering.irc.lib.IRCUser u, String nickPass, String mode)`
    `void` | `onMode(String chan, org.schwering.irc.lib.IRCUser u, org.schwering.irc.lib.IRCModeParser mp)`
    `void` | `onNick(org.schwering.irc.lib.IRCUser u, String nickNew)`
    `void` | `onNotice(String target, org.schwering.irc.lib.IRCUser u, String msg)`
    `void` | `onPart(String chan, org.schwering.irc.lib.IRCUser u, String msg)`
    `void` | `onPing(String p)`
    `void` | `onPrivmsg(String chan, org.schwering.irc.lib.IRCUser u, String msg)`
    `void` | `onQuit(org.schwering.irc.lib.IRCUser u, String msg)`
    `void` | `onRegistered()`
    `void` | `onReply(int num, String value, String msg)`
    `void` | `onTopic(String chan, org.schwering.irc.lib.IRCUser u, String topic)`
    `void` | `unknown(String a, String b, String c, String d)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IRCSink.IRCConnectionListener

          public IRCSink.IRCConnectionListener()

  - ### Method Detail

    - #### onRegistered

          public void onRegistered()

      Specified by:
        `onRegistered` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onDisconnected

          public void onDisconnected()

      Specified by:
        `onDisconnected` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onError

          public void onError(String msg)

      Specified by:
        `onError` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onError

          public void onError(int num,
                     String msg)

      Specified by:
        `onError` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onInvite

          public void onInvite(String chan,
                      org.schwering.irc.lib.IRCUser u,
                      String nickPass)

      Specified by:
        `onInvite` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onJoin

          public void onJoin(String chan,
                    org.schwering.irc.lib.IRCUser u)

      Specified by:
        `onJoin` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onKick

          public void onKick(String chan,
                    org.schwering.irc.lib.IRCUser u,
                    String nickPass,
                    String msg)

      Specified by:
        `onKick` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onMode

          public void onMode(org.schwering.irc.lib.IRCUser u,
                    String nickPass,
                    String mode)

      Specified by:
        `onMode` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onMode

          public void onMode(String chan,
                    org.schwering.irc.lib.IRCUser u,
                    org.schwering.irc.lib.IRCModeParser mp)

      Specified by:
        `onMode` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onNick

          public void onNick(org.schwering.irc.lib.IRCUser u,
                    String nickNew)

      Specified by:
        `onNick` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onNotice

          public void onNotice(String target,
                      org.schwering.irc.lib.IRCUser u,
                      String msg)

      Specified by:
        `onNotice` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onPart

          public void onPart(String chan,
                    org.schwering.irc.lib.IRCUser u,
                    String msg)

      Specified by:
        `onPart` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onPrivmsg

          public void onPrivmsg(String chan,
                       org.schwering.irc.lib.IRCUser u,
                       String msg)

      Specified by:
        `onPrivmsg` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onQuit

          public void onQuit(org.schwering.irc.lib.IRCUser u,
                    String msg)

      Specified by:
        `onQuit` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onReply

          public void onReply(int num,
                     String value,
                     String msg)

      Specified by:
        `onReply` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onTopic

          public void onTopic(String chan,
                     org.schwering.irc.lib.IRCUser u,
                     String topic)

      Specified by:
        `onTopic` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### onPing

          public void onPing(String p)

      Specified by:
        `onPing` in interface `org.schwering.irc.lib.IRCEventListener`

    - #### unknown

          public void unknown(String a,
                     String b,
                     String c,
                     String d)

      Specified by:
        `unknown` in interface `org.schwering.irc.lib.IRCEventListener`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.